Bug 166130 - system time drifting on IBM X445
system time drifting on IBM X445
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-17 04:17 EDT by dhe
Modified: 2014-10-19 19:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-19 15:23:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
time log (29.22 KB, text/plain)
2005-08-17 04:29 EDT, dhe
no flags Details

  None (edit)
Description dhe 2005-08-17 04:17:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
The system time lags about 16s daily compared with hardware time. 

Compared with the greenwich time, the hw time is more accurate.
http://wwp.greenwichmeantime.com/time-zone/usa/north-carolina/index.htm

Version-Release number of selected component (if applicable):
kernel-utils-2.4-8.37.7

How reproducible:
Always

Steps to Reproduce:
1. a fresh installation of RHEL 3 U5, RHEL 4 U1 or RHEL 2.1 U4.
2. hwclock --systohc
3. compare the system time with hardware time after 24 hours
  

Actual Results:  The system time lags about 16s everyday.


Additional info:

This problem has been reproduced on 3 IBM X445 servers. 

The BIOS has been updated to the latest. 
http://www-307.ibm.com/pc/support/site.wss/document.do?lndocid=MIGR-54089
It mentioned that the lastest BIOS fixed a time syncronizing problem.
http://www-307.ibm.com/pc/support/site.wss/document.do?lndocid=MIGR-55708&selectarea=SUPPORT&tempselected=5
Comment 1 dhe 2005-08-17 04:29:15 EDT
Created attachment 117822 [details]
time log 

customer record the hardware time and system time in every 10 minutes. 

hardare time		     system time
2005-08-05 16:00:01 2005-08-05 16:00:00.778561
Comment 2 Dave Jones 2005-08-17 22:16:32 EDT
I see no reason that this is a kernel-utils bug.  Refiling against kernel.
Comment 3 Ernie Petrides 2005-08-18 16:37:20 EDT
Hello, Dawson.  Why do you think this is a software problem?  Do the
hardware specs guarantee a clock frequency accuracy of <16 secs/day?

Can you use NTP to keep the time-of-day in sync with a more accurate
time source?
Comment 4 dhe 2005-08-18 21:17:04 EDT
Hi Petrides,

The hardware drifting time is less than 2s/day compared the Greenwich time.

I have already suggested customer to use NTP and time base.

Customer wants Red Hat to confirmation that this is a hardware problem.


Comment 5 Ernie Petrides 2005-08-19 15:23:57 EDT
My impression is that the hardware clock interrupt frequency is not
typically guaranteed to be more accurate than the drift you're seeing.

You should run NTP to sync with a machine having a more accurate time base.

Closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.